Issue Upgrading from 3.0.12 - 3.1.3

Get help with installation and running phpBB 3.1.x here. Please do not post bug reports, feature requests, or extension related questions here.
Scam Warning
Post Reply
brian47374
Registered User
Posts: 11
Joined: Fri Aug 14, 2015 5:09 pm

[Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by brian47374 » Sun Sep 17, 2017 7:46 pm

I downloaded the phpBB-3.1.3-files. I want to upgrade from 3.0.12 to 3.1.3.
When I extract it the file, I get the following folders.
-docs
-install
-vendor

Along with that, I get 8 zip files.
- phpBB-3.0.12_to3.1.3
- phpBB-3.0.13_to3.1.3
- phpBB-3.0.13-PL1_to3.1.3
- phpBB-3.1.0_to3.1.3
- phpBB-3.1.1_to3.1.3
- phpBB-3.1.2_to3.1.3
- phpBB-3.1.3-RC1_to3.1.3
- phpBB-3.1.3-RC2_to3.1.3
My question is, what files do I use? Do I do it sequentially, or can I just jump to the last one?

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 47786
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: [Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by stevemaury » Sun Sep 17, 2017 8:06 pm

For REALLY good and VERY inexpensive hosting CLICK HERE

All unsolicited PMs will be ignored.

brian47374
Registered User
Posts: 11
Joined: Fri Aug 14, 2015 5:09 pm

Re: [Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by brian47374 » Sun Sep 17, 2017 8:40 pm

Been there... doesn't state WHICH file to use. When i follow the link to the full archive it is the nest version, not what i want.

User avatar
Mick
Support Team Member
Support Team Member
Posts: 17832
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: [Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by Mick » Mon Sep 18, 2017 9:33 am

Out of interest why aren't you upgrading to 3.2.1?
"The more connected we get the more alone we become" - Kyle Broflovski

There are no ‘threads’ in phpBB, they are topics.
Forza Garibaldi

brian47374
Registered User
Posts: 11
Joined: Fri Aug 14, 2015 5:09 pm

Re: [Split from] Problem upgcause of a strading from 3.0.12 to 3.1.3

Post by brian47374 » Mon Sep 18, 2017 12:38 pm

Because of a style i am using.

User avatar
david63
Jr. Extension Validator
Posts: 12824
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: [Split from] Problem upgcause of a strading from 3.0.12 to 3.1.3

Post by david63 » Mon Sep 18, 2017 12:56 pm

brian47374 wrote:
Mon Sep 18, 2017 12:38 pm
Because of a style i am using.
But 3.0 styles will not work on 3.1.x anyway
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email or as they will be ignored

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 47786
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: [Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by stevemaury » Mon Sep 18, 2017 1:04 pm

brian47374 wrote:
Sun Sep 17, 2017 8:40 pm
Been there... doesn't state WHICH file to use. When i follow the link to the full archive it is the nest version, not what i want.
https://download.phpbb.com/pub/release/ ... -files.zip
For REALLY good and VERY inexpensive hosting CLICK HERE

All unsolicited PMs will be ignored.

brian47374
Registered User
Posts: 11
Joined: Fri Aug 14, 2015 5:09 pm

Re: [Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by brian47374 » Mon Sep 18, 2017 1:19 pm

That is the file I already have. And that is why I posted the question of WHICH file do I upload? When you extract it, there are multiple versions of phpBB. I can't imagine that I have to upload all of them in order. However, that might be the case due to upgrading. I do not feel that the instructions were very clear on doing just that.

User avatar
canonknipser
Registered User
Posts: 1131
Joined: Thu Sep 08, 2011 4:16 am
Location: Germany
Name: Frank Jakobs
Contact:

Re: [Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by canonknipser » Mon Sep 18, 2017 1:26 pm

I assume you have to look at the filename. They are giving you the from and to versions, delimited by a underscore _ and the word to
phpBB-3.0.12_to3.1.3
Greetings
Frank
phpbb.de support team member
English is not my native language
New arrival - Extensions and scripts for phpBB
no support via PM or mail

brian47374
Registered User
Posts: 11
Joined: Fri Aug 14, 2015 5:09 pm

Re: [Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by brian47374 » Mon Sep 18, 2017 1:41 pm

Okay, that makes sense. I hate to assume anything and blow something up. :D

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 47786
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: [Split from] Problem upgrading from 3.0.12 to 3.1.3

Post by stevemaury » Mon Sep 18, 2017 2:32 pm

Disregard the above. You want to use the full version - here - https://sourceforge.net/projects/phpbb/ ... p/download
For REALLY good and VERY inexpensive hosting CLICK HERE

All unsolicited PMs will be ignored.

brian47374
Registered User
Posts: 11
Joined: Fri Aug 14, 2015 5:09 pm

Issue Upgrading from 3.0.12 - 3.1.3

Post by brian47374 » Wed Sep 20, 2017 11:55 am

Support Request Template
What version of phpBB are you using? phpBB 3.1.3
What is your board's URL? http://www.ministry-of-defense.org/security_talk/
Who do you host your board with? IX Webhosting
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? No
What version of phpBB3 did you update from? phpBB 3.0-B1
What styles do you currently have installed? none
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 5
What is your level of experience? New to PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? I followed the upgrade instructions from 3.0.12 to 3.1.3. I am running PHP 7.0.23
Please describe your problem. Looks somewhat successful??? however, it gives me this???
SQL ERROR [ mysqli ]

Unknown column 'ext_active' in 'where clause' [1054]

An sql error occurred while fetching this page. Please contact an administrator if this problem persists.
Generated by SRT Generator

User avatar
RMcGirr83
Recognised Extension Developer
Posts: 20263
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr
Contact:

Re: Issue Upgrading from 3.0.12 - 3.1.3

Post by RMcGirr83 » Wed Sep 20, 2017 12:29 pm

nevermind
In times of change, learners inherit the earth, while the learned find themselves beautifully equipped to deal with a world that no longer exists - Eric Hoffer
Former Modifications/Extensions Team Member | My extensions
Appreciate the extensions/mods/support then buy me a beer
All requests for support via PM will be ignored

brian47374
Registered User
Posts: 11
Joined: Fri Aug 14, 2015 5:09 pm

Re: Issue Upgrading from 3.0.12 - 3.1.3

Post by brian47374 » Tue Sep 26, 2017 3:33 pm

Ok... so no one has any ideas on this? I down graded from PHP 7.0 to 5.6... same issue. I really need some help on this!

janus_zonstraal
Registered User
Posts: 1645
Joined: Sat Aug 30, 2014 1:30 pm

Re: Issue Upgrading from 3.0.12 - 3.1.3

Post by janus_zonstraal » Tue Sep 26, 2017 3:52 pm

Sorry! My English is bat ;) !!!

Post Reply

Return to “[3.1.x] Support Forum”

Who is online

Users browsing this forum: No registered users and 19 guests